summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-02-17 23:30:24 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-06-16 16:06:58 +0100
commit70e4369aa8239f967f89d0972e964b8dc9b2e3b5 (patch)
treed2573334ef340dcf05c37762529f9f4deee98508
parentb14d3f59c9aeb589033b7f712a2946e2d21e8b1a (diff)
git-debrebase: test suite: gdr-diverge-nmu-dgit: new test
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
-rw-r--r--debian/tests/control2
-rwxr-xr-xtests/tests/gdr-diverge-nmu-dgit55
-rwxr-xr-xtests/tests/gdr-edits1
3 files changed, 56 insertions, 2 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 9cfd823..c758c31 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -16,7 +16,7 @@ Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin
Restrictions: x-dgit-intree-only x-dgit-git-only
-Tests: gdr-diverge-nmu gdr-edits gdr-import-dgit gdr-viagit
+Tests: gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-import-dgit gdr-viagit
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, git-buildpackage, libfile-fnmatch-perl, faketime
diff --git a/tests/tests/gdr-diverge-nmu-dgit b/tests/tests/gdr-diverge-nmu-dgit
new file mode 100755
index 0000000..f7bf3d5
--- /dev/null
+++ b/tests/tests/gdr-diverge-nmu-dgit
@@ -0,0 +1,55 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies git-buildpackage libfile-fnmatch-perl faketime
+
+t-setup-import gdr-convert-gbp
+
+cd $p
+
+t-dgit setup-mergechangelogs
+
+: 'nmu'
+
+git checkout -b nmu
+
+t-git-next-date
+
+v=2.0-2+nmu1
+t-nmu-commit-an-upstream-change
+t-dch-commit -v$v -m finalise
+t-dch-commit -r sid
+
+t-dgit -wgf push-source
+
+t-archive-process-incoming sid
+
+: 'maintainer'
+
+git checkout master
+
+v=2.0-3
+t-maintainer-commit-some-changes
+
+t-dgit fetch
+t-git-next-date
+
+t-expect-fail E:'Not.*fast-forward' \
+git merge --ff-only dgit/dgit/sid
+
+: 'rebase nmu onto our branch'
+
+git checkout dgit/dgit/sid # detach
+
+t-expect-fail 'E:CONFLICT.*Commit Debian 3\.0 \(quilt\) metadata' \
+git rebase master
+git rebase --skip
+
+git push . HEAD:master
+git checkout master
+
+
+t-nmu-reconciled-good nmu
+
+t-ok
diff --git a/tests/tests/gdr-edits b/tests/tests/gdr-edits
index bb6c8d1..cb2e471 100755
--- a/tests/tests/gdr-edits
+++ b/tests/tests/gdr-edits
@@ -31,6 +31,5 @@ t-gdr-good pushed
: todo 'more tests: other maint updated, we must fetch'
: todo 'more tests: other maint updated, alert divergence'
-: todo 'more tests: dgit nmu divergence'
t-ok